Skip to content
Proud to collaborate with Microsoft for Startups

docusign.user-signatures.put-user-signature-by-id ​

Creates, or updates, the signature font and initials for the specified user. When creating a signature, you use this resource to create the signature name and then add the signature and initials images into the signature. Note: This will also create a default signature for the user when one does not exist. The userId property specified in the endpoint must match the authenticated user's user ID and the user must be a member of the account. The signatureId parameter accepts a signature ID. Docusign recommends you use signature ID (signatureId), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint. For example encode "Bob Smith" as "Bob%20Smith".

Updates the user signature for a specified user.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
signatureidstringYes—The ID of the account stamp.
useridstringYes—The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.
close_existing_signaturestringNo—When true, closes the current signature.
datestamppropertiesjsonNo—Specifies the area in which a date stamp is placed. This parameter uses pixel positioning to draw a rectangle at the center of the stamp area. The stamp is superimposed on top of this central area. This property contains the following information about the central rectangle: - DateAreaX: The X axis position of the top-left corner. - DateAreaY: The Y axis position of the top-left corner. - DateAreaWidth: The width of the rectangle. - DateAreaHeight: The height of the rectangle.
disallowuserresizestampstringNo—When true, users may not resize the stamp.
externalidstringNo—Optionally specify an external identifier for the user's signature.
imagetypestringNo—Specificies the type of image. Valid values: - stamp_image - signature_image - initials_image
isdefaultstringNo—Boolean that specifies whether the signature is the default signature for the user.
nrdsidstringNo—The National Association of Realtors (NAR) membership ID for a user who is a realtor.
nrdslastnamestringNo—The realtor's last name.
phoneticnamestringNo—The phonetic spelling of the signatureName.
signaturefontstringNo—The font type to use for the signature if the signature is not drawn. The following font styles are supported. The quotes are to indicate that these values are strings, not enums. - "1_DocuSign" - "2_DocuSign" - "3_DocuSign" - "4_DocuSign" - "5_DocuSign" - "6_DocuSign" - "7_DocuSign" - "8_DocuSign" - "Mistral" - "Rage Italic"
signatureid_2stringNo—Specifies the signature ID associated with the signature name. You can use the signature ID in the URI in place of the signature name, and the value stored in the signatureName property in the body is used. This allows the use of special characters (such as "&", "<", ">") in a the signature name. Note that with each update to signatures, the returned signature ID might change, so the caller will need to trigger off the signature name to get the new signature ID.
signatureinitialsstringNo—Specifies the user's signature in initials format.
signaturenamestringNo—Specifies the user's signature name.
signaturetypestringNo—Specifies the type of signature.
stampformatstringNo—The format of a stamp. Valid values are: - NameHanko: The stamp represents only the signer's name. - NameDateHanko: The stamp represents the signer's name and the date.
stampsizemmstringNo—The physical height of the stamp image (in millimeters) that the stamp vendor recommends for displaying the image in PDF documents.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
signatureidstringYes—The ID of the account stamp.
useridstringYes—The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.
close_existing_signaturestringNo—When true, closes the current signature.
datestamppropertiesjsonNo—Specifies the area in which a date stamp is placed. This parameter uses pixel positioning to draw a rectangle at the center of the stamp area. The stamp is superimposed on top of this central area. This property contains the following information about the central rectangle: - DateAreaX: The X axis position of the top-left corner. - DateAreaY: The Y axis position of the top-left corner. - DateAreaWidth: The width of the rectangle. - DateAreaHeight: The height of the rectangle.
disallowuserresizestampstringNo—When true, users may not resize the stamp.
externalidstringNo—Optionally specify an external identifier for the user's signature.
imagetypestringNo—Specificies the type of image. Valid values: - stamp_image - signature_image - initials_image
isdefaultstringNo—Boolean that specifies whether the signature is the default signature for the user.
nrdsidstringNo—The National Association of Realtors (NAR) membership ID for a user who is a realtor.
nrdslastnamestringNo—The realtor's last name.
phoneticnamestringNo—The phonetic spelling of the signatureName.
signaturefontstringNo—The font type to use for the signature if the signature is not drawn. The following font styles are supported. The quotes are to indicate that these values are strings, not enums. - "1_DocuSign" - "2_DocuSign" - "3_DocuSign" - "4_DocuSign" - "5_DocuSign" - "6_DocuSign" - "7_DocuSign" - "8_DocuSign" - "Mistral" - "Rage Italic"
signatureid_2stringNo—Specifies the signature ID associated with the signature name. You can use the signature ID in the URI in place of the signature name, and the value stored in the signatureName property in the body is used. This allows the use of special characters (such as "&", "<", ">") in a the signature name. Note that with each update to signatures, the returned signature ID might change, so the caller will need to trigger off the signature name to get the new signature ID.
signatureinitialsstringNo—Specifies the user's signature in initials format.
signaturenamestringNo—Specifies the user's signature name.
signaturetypestringNo—Specifies the type of signature.
stampformatstringNo—The format of a stamp. Valid values are: - NameHanko: The stamp represents only the signer's name. - NameDateHanko: The stamp represents the signer's name and the date.
stampsizemmstringNo—The physical height of the stamp image (in millimeters) that the stamp vendor recommends for displaying the image in PDF documents.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v2.1/accounts/{accountId}/users/{userId}/signatures/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v2.1/accounts/{accountId}/users/{userId}/signatures/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.user-signatures.put-user-signature-by-id",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "signatureid": "value",
    "userid": "value"
  }
}